hookup-0.8: Abstraction over creating network connections with SOCKS5 and TLS

Copyright | (c) Eric Mertens 2016
License | ISC
Maintainer | emertens@gmail.com
Safe Haskell | None
Language | Haskell2010

Hookup.OpenSSL

Description

Synopsis

- withDefaultPassword :: SSLContext -> Maybe ByteString -> IO a -> IO a
- installVerification :: SSLContext -> String -> IO ()
- getPubKeyDer :: X509 -> IO ByteString
- contextSetTls13Ciphers :: SSLContext -> String -> IO ()

# Documentation

withDefaultPassword :: SSLContext -> Maybe ByteString -> IO a -> IO a Source #

installVerification Source #

Arguments

:: SSLContext |
-> String | hostname
-> IO () |

Add hostname checking to the certificate verification step. Partial wildcards matching is disabled.

getPubKeyDer :: X509 -> IO ByteString Source #

contextSetTls13Ciphers :: SSLContext -> String -> IO () Source #

Set the ciphers to be used by the given context for TLS 1.3 https://www.openssl.org/docs/man1.1.1/man3/SSL_CTX_set_cipher_list.html

Unrecognised ciphers are ignored. If no ciphers from the list are recognised, an exception is raised.